Bug 1074999 - openSUSE:Factory/wt fails to build with boost 1.66
openSUSE:Factory/wt fails to build with boost 1.66
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Dmitriy Perlow
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-08 11:20 UTC by Dominique Leuenberger
Modified: 2018-01-09 11:09 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2018-01-08 11:20:18 UTC
Build log:

https://build.opensuse.org/package/live_build_log/openSUSE:Factory/wt/standard/x86_64

Our current wt package (version 3.3.5) does not build with boost 1.66 (updated on Dec 21 2017)

Upstream has commits ready to make it work with boost 1.66:

https://github.com/emweb/wt/commit/960e8d017b264710e344c63f9feb6ea1fa593eeb
and
https://github.com/emweb/wt/commit/50864bc3d60cf6cf4e019d3eb25e8081b83393c5
(to keep compat to older boost/asio)

These commits are only in git so far, the latest release (4.0.2) does not yet contain them
Comment 1 Egbert Eich 2018-01-08 12:52:57 UTC
Dominique, thanks for researching this, the fixes however don't apply easily, and there is no dedicated package maintainer for this.
Filed a drop request therefore.
Comment 2 Dominique Leuenberger 2018-01-08 13:17:06 UTC
> osc whatdependson openSUSE:Factory wt standard x86_64
wt :
   leechcraft

Let's CC at least the leechcraft maintainers here then

INFO: wt does not build with boost and has no active maintainer. It is thus scheduled for removal, which in turn breaks leechcraft.

There are two (three?) options:
* Drop leechcraft too
* Find a new active maintainer for wt and get it fixed
(* build leechcraft without wt support)
Comment 3 Dmitriy Perlow 2018-01-08 19:39:22 UTC
Tried patched and reported to upstream: https://redmine.emweb.be/issues/6197
Comment 4 Egbert Eich 2018-01-08 21:42:41 UTC
I've fixed the build for Factory now. Updated to 4.0.2 which required a patch for the build system on top. SR #562627.
Comment 5 Egbert Eich 2018-01-08 21:59:49 UTC
Patch provided to upstream:
https://redmine.emweb.be/issues/6198
Comment 6 Egbert Eich 2018-01-09 11:09:46 UTC
I've just submitted an update to Factory. SR ID #562859.